Index: uspace/app/bithenge/transform.c
===================================================================
--- uspace/app/bithenge/transform.c	(revision 04a7435f4ee13d275f9b652482de1d377eed4a8f)
+++ uspace/app/bithenge/transform.c	(revision 978ccaf1353e6dc7d83c324cc4bfc3d5a951be8c)
@@ -42,8 +42,8 @@
 
 /** Initialize a new transform.
- * @param[out] xform Transform to initialize.
+ * @param[out] self Transform to initialize.
  * @param[in] ops Operations provided by the transform.
  * @return EOK or an error code from errno.h. */
-int bithenge_new_transform(bithenge_transform_t *xform,
+int bithenge_init_transform(bithenge_transform_t *self,
     const bithenge_transform_ops_t *ops)
 {
@@ -51,16 +51,15 @@
 	assert(ops->apply);
 	assert(ops->destroy);
-	xform->ops = ops;
-	xform->refs = 1;
-	return EOK;
-}
-
-static int transform_indestructible(bithenge_transform_t *xform)
+	self->ops = ops;
+	self->refs = 1;
+	return EOK;
+}
+
+static void transform_indestructible(bithenge_transform_t *self)
 {
 	assert(false);
-	return EOK;
-}
-
-static int uint32le_apply(bithenge_transform_t *xform, bithenge_node_t *in,
+}
+
+static int uint32le_apply(bithenge_transform_t *self, bithenge_node_t *in,
     bithenge_node_t **out)
 {
@@ -82,5 +81,5 @@
 }
 
-static int uint32be_apply(bithenge_transform_t *xform, bithenge_node_t *in,
+static int uint32be_apply(bithenge_transform_t *self, bithenge_node_t *in,
     bithenge_node_t **out)
 {
@@ -102,5 +101,5 @@
 }
 
-static int prefix_length_4(bithenge_transform_t *xform, bithenge_blob_t *blob,
+static int prefix_length_4(bithenge_transform_t *self, bithenge_blob_t *blob,
     aoff64_t *out)
 {
@@ -266,5 +265,5 @@
 }
 
-static int struct_node_destroy(bithenge_node_t *base)
+static void struct_node_destroy(bithenge_node_t *base)
 {
 	struct_node_t *node = node_as_struct(base);
@@ -272,5 +271,4 @@
 	bithenge_blob_dec_ref(node->blob);
 	free(node);
-	return EOK;
 }
 
@@ -280,8 +278,8 @@
 };
 
-static int struct_transform_apply(bithenge_transform_t *xform,
+static int struct_transform_apply(bithenge_transform_t *base,
     bithenge_node_t *in, bithenge_node_t **out)
 {
-	struct_transform_t *struct_transform = transform_as_struct(xform);
+	struct_transform_t *self = transform_as_struct(base);
 	if (bithenge_node_type(in) != BITHENGE_NODE_BLOB)
 		return EINVAL;
@@ -295,6 +293,6 @@
 		return rc;
 	}
-	bithenge_transform_inc_ref(xform);
-	node->transform = struct_transform;
+	bithenge_transform_inc_ref(base);
+	node->transform = self;
 	bithenge_node_inc_ref(in);
 	node->blob = bithenge_node_as_blob(in);
@@ -303,8 +301,8 @@
 }
 
-static int struct_transform_prefix_length(bithenge_transform_t *xform,
+static int struct_transform_prefix_length(bithenge_transform_t *base,
     bithenge_blob_t *blob, aoff64_t *out)
 {
-	struct_transform_t *struct_transform = transform_as_struct(xform);
+	struct_transform_t *self = transform_as_struct(base);
 	int rc = EOK;
 	bithenge_node_t *node;
@@ -316,7 +314,7 @@
 	blob = bithenge_node_as_blob(node);
 	*out = 0;
-	for (size_t i = 0; struct_transform->subtransforms[i].transform; i++) {
+	for (size_t i = 0; self->subtransforms[i].transform; i++) {
 		bithenge_transform_t *subxform =
-		    struct_transform->subtransforms[i].transform;
+		    self->subtransforms[i].transform;
 		aoff64_t sub_size;
 		rc = bithenge_transform_prefix_length(subxform, blob, &sub_size);
@@ -344,10 +342,9 @@
 }
 
-static int struct_transform_destroy(bithenge_transform_t *xform)
-{
-	struct_transform_t *struct_transform = transform_as_struct(xform);
-	free_subtransforms(struct_transform->subtransforms);
-	free(struct_transform);
-	return EOK;
+static void struct_transform_destroy(bithenge_transform_t *base)
+{
+	struct_transform_t *self = transform_as_struct(base);
+	free_subtransforms(self->subtransforms);
+	free(self);
 }
 
@@ -370,20 +367,20 @@
 {
 	int rc;
-	struct_transform_t *struct_transform =
-	    malloc(sizeof(*struct_transform));
-	if (!struct_transform) {
+	struct_transform_t *self =
+	    malloc(sizeof(*self));
+	if (!self) {
 		rc = ENOMEM;
 		goto error;
 	}
-	rc = bithenge_new_transform(struct_as_transform(struct_transform),
+	rc = bithenge_init_transform(struct_as_transform(self),
 	    &struct_transform_ops);
 	if (rc != EOK)
 		goto error;
-	struct_transform->subtransforms = subtransforms;
-	*out = struct_as_transform(struct_transform);
+	self->subtransforms = subtransforms;
+	*out = struct_as_transform(self);
 	return EOK;
 error:
 	free_subtransforms(subtransforms);
-	free(struct_transform);
+	free(self);
 	return rc;
 }
